---@meta

---@class URadial_Wheel_WB_C : UUserWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Radial_Wheel_OV UOverlay
---@field Radial_Wheel_Current_Slot_Name_Text UTextBlock
---@field Radial_Wheel_Container_OV UOverlay
---@field Background_Image UImage
---@field Background_Border UBorder
---@field Background_Blur UBackgroundBlur
---@field Popup UWidgetAnimation
---@field ['Radian Wheel Component'] URadial_Wheel_AC_C
---@field ['Slots Widgets'] TArray<URadial_Wheel_Item_WB_C>
---@field ['Current Slot'] URadial_Wheel_Item_WB_C
---@field ['Preview Slots'] TArray<FRadial_Wheel_Slot_Struct>
---@field ['Update Selected Slot?'] boolean
---@field ['Temp Current Closed / Opened Sound'] UAudioComponent
---@field ['Wheel Opened?'] boolean
---@field ['Using Gamepad?'] boolean
---@field ['Gamepad Interpolated Axis'] FVector2D
local URadial_Wheel_WB_C = {}

function URadial_Wheel_WB_C:SequenceEvent__ENTRYPOINTRadial_Wheel_WB() end
---@param MyGeometry FGeometry
---@param MouseEvent FPointerEvent
---@return FEventReply
function URadial_Wheel_WB_C:OnMouseMove(MyGeometry, MouseEvent) end
URadial_Wheel_WB_C['Lock Mouse To Radius'] = function(self, ) end
---@param Closed_ boolean
URadial_Wheel_WB_C['Play Open / Closed Sound'] = function(self, Closed_) end
---@param MyGeometry FGeometry
---@param MouseEvent FPointerEvent
---@return FEventReply
function URadial_Wheel_WB_C:OnPreviewMouseButtonDown(MyGeometry, MouseEvent) end
URadial_Wheel_WB_C['Refresh Radial Wheel Style'] = function(self, ) end
---@param Valid_ boolean
---@param X int32
---@param Y int32
URadial_Wheel_WB_C['Get Wheel Center Position'] = function(self, Valid_, X, Y) end
---@param New_Position Radial_Wheel_Position_Enum::Type
URadial_Wheel_WB_C['Set Wheel Position'] = function(self, New_Position) end
URadial_Wheel_WB_C['Refresh Radial Wheel Slots'] = function(self, ) end
---@param Angle double
---@param Distance double
URadial_Wheel_WB_C['Get Gamepad Input Angle & Distance'] = function(self, Angle, Distance) end
URadial_Wheel_WB_C['Update Selected Slot'] = function(self, ) end
---@param Angle double
---@param Distance double
URadial_Wheel_WB_C['Get Mouse Input Angle & Distance'] = function(self, Angle, Distance) end
---@param Slots_ TArray<FRadial_Wheel_Slot_Struct>
URadial_Wheel_WB_C['Generate Radial Wheel'] = function(self, Slots_) end
---@param MyGeometry FGeometry
---@param InDeltaTime float
function URadial_Wheel_WB_C:Tick(MyGeometry, InDeltaTime) end
URadial_Wheel_WB_C['Show Radial Wheel'] = function(self, ) end
URadial_Wheel_WB_C['Hide Radial Wheel'] = function(self, ) end
---@param IsDesignTime boolean
function URadial_Wheel_WB_C:PreConstruct(IsDesignTime) end
function URadial_Wheel_WB_C:WidgetAnimationEvt_Popup_K2Node_WidgetAnimationEvent_0() end
function URadial_Wheel_WB_C:Construct() end
URadial_Wheel_WB_C['Popup Animation Repeater'] = function(self, ) end
URadial_Wheel_WB_C['Center Mouse Position'] = function(self, ) end
---@param EntryPoint int32
function URadial_Wheel_WB_C:ExecuteUbergraph_Radial_Wheel_WB(EntryPoint) end


